Bug 828078 (CVE-2012-1667) - CVE-2012-1667 bind: handling of zero length rdata can cause named to terminate unexpectedly
Summary: CVE-2012-1667 bind: handling of zero length rdata can cause named to terminat...
Status: CLOSED ERRATA
Alias: CVE-2012-1667
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20120604,repo...
Keywords: Security
Depends On: 816615 828273 828288 828289 828297 828359 828668 841110
Blocks: 827605 841114
TreeView+ depends on / blocked
 
Reported: 2012-06-04 08:19 UTC by Tomas Hoger
Modified: 2019-06-08 19:09 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-06-07 17:25:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0716 normal SHIPPED_LIVE Important: bind security update 2012-06-07 20:49:55 UTC
Red Hat Product Errata RHSA-2012:0717 normal SHIPPED_LIVE Important: bind97 security update 2012-06-07 20:39:16 UTC
Red Hat Product Errata RHSA-2012:1110 normal SHIPPED_LIVE Important: bind security update 2012-07-23 21:53:48 UTC

Description Tomas Hoger 2012-06-04 08:19:14 UTC
ISC has sent a brief notification about a flaw affecting bind 9 versions to be disclosed on Jun 4.  CVE-2012-1667 was assigned to this issue, but there are no other details currently available about this flaw.

Comment 4 Tomas Hoger 2012-06-04 13:25:42 UTC
Public now via upstream advisory.  The flaw is in the handling of the zero length rdata records, which may trigger named crash, memory disclosure, or zone data corruption in certain configurations.  This primarily affects recursive resolvers.

Issue was fixed in upstream versions:
9.6-ESV-R7-P1, 9.7.6-P1, 9.8.3-P1, and 9.9.1-P1 

External Reference:

http://www.isc.org/software/bind/advisories/cve-2012-1667

Comment 5 Jan Lieskovsky 2012-06-04 13:39:24 UTC
Created bind tracking bugs for this issue

Affects: fedora-all [bug 828273]

Comment 12 Tomas Hoger 2012-06-05 08:12:27 UTC
US-CERT Vulnerability Note VU#381699:
  http://www.kb.cert.org/vuls/id/381699

Comment 20 errata-xmlrpc 2012-06-07 16:44:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0717 https://rhn.redhat.com/errata/RHSA-2012-0717.html

Comment 21 errata-xmlrpc 2012-06-07 16:55:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0716 https://rhn.redhat.com/errata/RHSA-2012-0716.html

Comment 22 Fedora Update System 2012-06-13 21:32:08 UTC
bind-9.9.1-2.P1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Vincent Danen 2012-06-14 02:56:43 UTC
Upstream has released a FAQ with some further information on this flaw:

https://kb.isc.org/article/AA-00703/0/CVE-2012-1667-FAQ-and-Supplemental-Information.html

Comment 24 Fedora Update System 2012-06-15 12:24:22 UTC
bind-9.8.3-2.P1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2012-06-15 12:32:06 UTC
bind-9.8.3-2.P1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 errata-xmlrpc 2012-07-23 17:59:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2012:1110 https://rhn.redhat.com/errata/RHSA-2012-1110.html


Note You need to log in before you can comment on or make changes to this bug.